<!DOCTYPE html>
<html lang="cs">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		
		<script type="text/javascript" src="assets/js/jquery.js"></script>
		<script type="text/javascript" src="assets/js/select2.js"></script>
		<script type="text/javascript" src="assets/js/utils.js"></script>
		<script type="text/javascript" src="assets/js/andrej.js"></script>
		<script type="text/javascript" src="assets/js/ui.js"></script>
		
		<script type="text/javascript" src="assets/js/video.js"></script>
		<script type="text/javascript" src="assets/js/mast-share.js"></script>
		
		<link
			rel="preload"
			href="assets/fonts/inter/inter-v11-latin-ext_latin-600.woff2"
			as="font"
			type="font/woff2"
			crossorigin="anonymous"
		>
		<link
			rel="preload"
			href="assets/fonts/inter/inter-v11-latin-ext_latin-regular.woff2"
			as="font"
			type="font/woff2"
			crossorigin="anonymous"
		>
		<link
			rel="preload"
			href="assets/fonts/trash-hand/TrashHand.woff2"
			as="font"
			type="font/woff2"
			crossorigin="anonymous"
		>
		
		<link rel="stylesheet" href="assets/fonts/inter/style.css">
		<link rel="stylesheet" href="assets/fonts/trash-hand/style.css">
		<link rel="stylesheet" href="assets/css/select2.css">
		<link rel="stylesheet" href="assets/css/base.css">
		
		<link rel="stylesheet" href="assets/css/video-js.css">
		<link rel="stylesheet" href="assets/css/mast-share.css">
		
		<link rel="icon" href="assets/images/pirati-icon.png">
		
		<meta name="description" content="Krátké video a generátor kampaňové grafiky pro Andreje.">
		<meta name="keywords" content="bylo líp, babiš, andrej babiš, piráti, generátor, za babiše bylo líp, pirátská strana, andrejovi bylo líp, babišovi bylo líp">
		<meta name="author" content="Piráti">
		<meta name="copyright" content="Všechna práva vyhlazena.">
		
		<meta property="og:title" content="Andrejovi bylo líp!">
		<meta property="og:description" content="Krátké video a generátor kampaňové grafiky pro Andreje.">
		<meta property="og:image" content="https://bylolip.cz/assets/people/babis1.png">
		
		<title>Andrejovi bylo líp!</title>
	</head>
	<body>
		<header>
			<h1>Andrejovi bylo líp!</h1>
			<h3>Generátor</h3>
		</header>
		<main>
			<div class="generator-container">
				<video
					id="video"
					class="video-js vjs-default-skin vjs-fluid"
					preload="metadata"
					data-setup="{fluid:true}"
					controls
				>
					<source src="assets/videos/andrej-medium.mp4" type="video/mp4">
					<track kind="captions" src="assets/videos/subtitles.vtt" srclang="cs" label="Čeština">
				</video>

				<p id="video-sources">
					<b id="video-source-text">Video je také dostupné na:</b>
					
					<a
						class="share-icon"
						href="https://tv.pirati.cz/w/9sjiHdCLf5hSciNKaBwtey"
						rel="nofollow"
						target="_blank"
					><img
						src="assets/images/peertube.svg"
						alt="PeerTube"
						height="25"
					></a>
					
					<a
						class="share-icon"
						href="https://www.youtube.com/user/CeskaPiratskaStrana"
						rel="nofollow"
						target="_blank"
					><img
						src="assets/images/youtube-square-brands.svg"
						alt="YouTube"
						height="25"
					></a>
					
					<a
						class="share-icon"
						href="https://www.instagram.com/pirati.cz/"
						rel="nofollow"
						target="_blank"
					><img
						src="assets/images/instagram-square-brands.svg"
						alt="Instagram"
						height="25"
					></a>
					
					<a
						class="share-icon"
						href="https://twitter.com/piratskastrana"
						rel="nofollow"
						target="_blank"
					><img
						src="assets/images/twitter-square-brands.svg"
						alt="Twitter"
						height="25"
					></a>
					
					<a
						class="share-icon"
						href="https://www.facebook.com/ceska.piratska.strana"
						rel="nofollow"
						target="_blank"
					><img
						src="assets/images/facebook-square-brands.svg"
						alt="Facebook"
						height="25"
					></a>
				</p>

				<hr>

				<noscript>
					<h2>Promiň!</h2>

					<p>
						Tento generátor je založen na JavaScriptu - je to jednodušší, rychlejší a
						nevyžaduje zbytečně zatížený backend. Analytiku ani Google věci nemáme,
						všechny soubory jsou lokální. Pokud ho ale stejně nechceš využít, to
						naprosto chápu a doporučím generátor na stránce <a
							href="https://babis.wtf/index.php"
							target="_blank"
							rel="nofollow"
						>babis.wtf</a>.
					</p>
				</noscript>

				<canvas id="babis" width="2000" height="1000"></canvas>

				<section id="details">
					<section id="controls">
						<button id="generate-random-image">Náhodný obrázek</button>
						<button id="save">Uložit</button>
						<button id="tomio">Ještělépe!!!!!!!!!11°</button>

						<div class="header">
							<h2>Text</h2>
							<small>Vyber možnost, nebo zadej svůj vlastní.</small>
						</div>

						<select id="primary-text"></select>
						<input id="tomio-text" placeholder="Text pod sloganem" type="text" style="display:none">

						<h2>Člověk</h2>
						<select id="person-selection">
							<option
								data-name="andrej"
								data-image-source="assets/people/babis1.png"
							>Andrej 1</option>
							<option
								data-name="andrej"
								data-image-source="assets/people/babis2.png"
							>Andrej 2</option>
							<option
								data-name="faltynek"
								data-image-source="assets/people/faltynek1.png"
							>Faltýnek</option>
							<option
								data-name="vojtech"
								data-image-source="assets/people/filip.png"
							>Filip</option>
							<option
								data-name="havlicek"
								data-image-source="assets/people/havlicek.png"
							>Havlíček</option>
							<option
								data-name="ryba"
								data-image-source="assets/people/ryba.png"
							>Ryba</option>
							<option
								data-name="schillerova"
								data-image-source="assets/people/schillerova.png"
							>Schillerová</option>
							<option
								data-name="slepice"
								data-image-source="assets/people/slepice.png"
							>Slepice</option>
							<option
								data-name="vondracek"
								data-image-source="assets/people/vondracek.png"
							>Vondráček</option>
							<option
								data-name="adam"
								data-image-source="assets/people/adam.png"
							>Vojtěch</option>
							<option
								data-name="tomio"
								data-image-source="assets/people/tomio.png"
							>Tomio</option>
							<option
								data-name="daniel"
								data-image-source="assets/people/daniel.png"
							>Daniel</option>
							<option
								data-name="hala"
								data-image-source="assets/people/hala.png"
							>Hala</option>
							
							<!--<option
								data-name="michalek"
								data-image-source="assets/people/michalek.png"
							>Michálek</option>
							<option
								data-name="bartos"
								data-image-source="assets/people/ivan.png"
							>Bartoš</option>
							<option
								data-name="richterova"
								data-image-source="assets/people/olga.png"
							>Richterová</option>
							<option
								data-name="kocmanova"
								data-image-source="assets/people/kocmanova.png"
							>Kocmanová</option>
							<option
								data-name="lipavsky"
								data-image-source="assets/people/lipavsky.png"
							>Lipavský</option>
							<option
								data-name="salomoun"
								data-image-source="assets/people/salomoun.png"
							>Šalomoun</option>
							<option
								data-name="hrib"
								data-image-source="assets/people/hrib.png"
							>Hřib</option>-->
						</select>
					</section>
					
					<section id="information">
						<p id="reasoning"></p>
					</section>
				</section>

				<section id="sharing">
					<h2 class="unstyled-header">Sdílení je aktem lásky.</h2>
					
					<div class="mast-share mast-share-sm share-icon">
						<input type="checkbox" class="mast-check-toggle">
						<div class="mast-instance">
							<span>Instance: </span>
							<input type="textbox" name="mast-instance-input" placeholder="mastodon.social">
							<button class="mast-share-button">Sdílet</button>
						</div>
						<label class="mast-top mast-check-label">
							<img
								src="assets/images/mastodon-brands.svg"
								alt="Sdílet na Mastodonu"
								height="40"
							>
						</label>
					</div>
					
					<a
						class="share-icon"
						href="javascript:;"
						onclick="window.open('https://sharetodiaspora.github.io/?url='+encodeURIComponent(location.href)+'&amp;title='+encodeURIComponent(document.title),'das','location=no,links=no,scrollbars=no,toolbar=no,width=620,height=550'); return false;" rel="nofollow noopener noreferrer"
						target="_blank"
					><img
						src="assets/images/diaspora-brands.svg"
						alt="Sdílet na Diaspoře"
						height="40"
					></a>
					
					<a
						class="share-icon"
						href="https://twitter.com/share?text=Za Babiše bylo líp - Babišovi. https://bylolip.cz"
						target="_blank"
						rel="nofollow noopener noreferrer"
					><img
						src="assets/images/twitter-square-brands.svg"
						alt="Sdílet na Twitteru"
						height="40"
					></a>
					
					<a
						class="share-icon"
						href="https://facebook.com/sharer/sharer.php?u=https://bylolip.cz"
						target="_blank"
						rel="nofollow noopener noreferrer"
					><img
						src="assets/images/facebook-square-brands.svg"
						alt="Sdílet na Facebooku"
						height="40"
					></a>
				</section>
			</div>
		</main>
		<footer>
			<a
				href="https://pirati.cz"
				target="_blank"
				rel="nofollow noopener noreferrer"
			>
				<img
					width="50"
					height="50"
					alt="Pirátské logo"
					src="assets/images/pirati-icon.png"
				>
			</a>
		</footer>
	</body>
</html>
